<script setup>
import { RouterView } from "vue-router";
import StatusBar from "@/components/StatusBar.vue";
import FadeInOut from "@/components/transitions/FadeInOut.vue";
</script>

<template>
  <div style="min-height: inherit">
    <StatusBar />
    <div
      id="home-card-container"
      class="row d-flex justify-content-center align-items-center"
    >
      <div class="col col-sm-12 col-md-8 col-lg-6 col-xl-5">
        <div class="row mb-5">
          <div class="col text-center display-4">Story Point Poker</div>
        </div>
        <div class="card">
          <RouterView v-slot="{ Component }">
            <FadeInOut :t="0.3">
              <component :is="Component" />
            </FadeInOut>
          </RouterView>
        </div>
      </div>
    </div>
  </div>
</template>

<style>
#home-card-container {
  min-height: inherit;
}
</style>
